Service bandwidth statistics service 4 matching interfaces
Get peak bandwidth over the last N days findDailyServerBandwidthStats
POST /ServerBandwidthStatService/findDailyServerBandwidthStats
Definition file service_server_bandwidth_stat.proto
Available roles Administrator Original definition Request message Response message Original definition Copy coderpc findDailyServerBandwidthStats ( FindDailyServerBandwidthStatsRequest ) returns ( FindDailyServerBandwidthStatsResponse );
Request message FindDailyServerBandwidthStatsRequestGet peak bandwidth over the last N days
Request message · Field definitions Copy codemessage FindDailyServerBandwidthStatsRequest {
int64 serverId = 1 ;
int32 days = 2 ;
string algo = 3 ; // Bandwidth algorithm; currently supports secondly and avg
}
Response message FindDailyServerBandwidthStatsResponse Response message · Field definitions Copy codemessage FindDailyServerBandwidthStatsResponse {
repeated Stat stats = 1 ;
int32 percentile = 2 ; // Percentile
Stat nthStat = 3 ; // Percentile statistics
message Stat {
string day = 1 ;
int64 bytes = 3 ; // Peak bytes per second
int64 bits = 4 ; // Peak bits per second
}
}